@include breakpoint(0, $size-hamburger-menu) {
  // Globals.
  .layout-container {
    position: relative;
    overflow-x: hidden;
    transition: transform 0.5s;
  }
  
  body.open-menu-mobile {
    header {
      transform: translate3d(0, 0, 0);
    }
    .layout-container,
    .l-mobile-header {
      transform: translateX(-50%);
      @include breakpoint(0, $size-medium) {
        transform: translateX(-75%);
      }
    }
  }
  
  // Mobile header.
  .l-mobile-header {
    -webkit-backface-visibility: hidden;
    // height: $header-small-height;
    background-color: $color-white;
    box-shadow: 0 2px 4px rgba($color-black, .2);
    box-sizing: content-box;
    left: 0;
    padding: .25rem 0;
    position: fixed;
    top: 0;
    transition: transform 0.5s;
    width: 100%;
    z-index: 15;
    .h-wrapper {
      @include max-width(large);
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: .25rem 0;
    }
  }
  // Header.
  header {
    background-color: $color-white;
    bottom: 0;
    border-left: 2px solid $color-grey-light;
    height: auto;
    margin: 0;
    padding: 0;
    position: fixed;
    right: 0;
    top: 0;
    transform: translate3d(100%, 0, 0);
    transition: all 0.5s;
    width: 50%;
    z-index: 25;
    @include breakpoint(0, $size-medium) {
      width: 75%;
    }
    .header-main {
      display: flex;
      flex-direction: column;
      height: 100%;
      position: relative;
      width: 100%;
      .header-branding {
        background-color: $color-white;
        border-bottom: 1px solid $color-grey-xlight;
        display: flex;
        padding: .25rem 1em;
        position: relative;
        width: 100%;
        z-index: 15;
      }
      .header-region {
        flex-grow: 1;
        overflow-x: hidden;
        overflow-y: scroll;
      }
    }
    .region-header {
      display: flex;
      flex-direction: column;
      padding-bottom: 1rem;
      position: relative;
      width: 100%;
    }
    #block-drupalcon-account-menu {
      margin: 0 auto;
      order: 2;
      padding: 1em;
    }
    .view-sponsors-by-conference {
      div.view-content {
        justify-content: center;
      }
    }
    
    // Nav.
    .menu {
      // Generic.
      padding: 0;
      li {
        font-size: $font-normal;
        list-style: none;
        margin: 0;
        padding: 0;
        & + li {
          border-top: 1px solid $color-grey-xlight;
        }
        // Submenu
        .menu {
          background-color: $color-white;
          bottom: 0;
          border-left: 2px solid $color-grey-xlight;
          display: none;
          height: 100%;
          overflow-y: scroll;
          position: absolute;
          right: 0;
          text-transform: none;
          top: 0;
          transform: translate3d(100%, 0, 0);
          transition: all 0.5s ease-in-out;
          width: calc(100% + 2px);
          z-index: 10;
          li {
            border: 0;
          }
          &.active {
            display: block;
            transform: translate3d(0, 0, 0);
          }
        }
      }
      a {
        color: $color-grey-xdark;
        display: block;
        padding: 1em;
        position: relative;
      }
      // Helpers.
      h3 {
        font-family: $font-secondary;
        font-weight: 600;
        font-size: $font-medium;
        margin: 0;
        a {
          border: 0 !important;
          color: $color-grey-xdark !important;
          padding: 1rem;
        }
      }
      .open-submenu {
        border-radius: 0;
        background-color: transparent;
        border: 0;
        border-left: 1px solid $color-grey-xlight;
        bottom: 0;
        position: absolute;
        right: 0;
        top: 0;
        width: 5em;
        &::before {
          background: url('../images/icons/arrow-menu.svg') no-repeat center center;
          content: '';
          display: block;
          height: 35px;
          margin: 0 auto;
          width: 20px;
        }
      }
      .nav-back {
        background-color: darken($color-white, 2%);
        border: 0;
        align-items: center;
        border-bottom: 1px solid $color-grey-light;
        border-radius: 0;
        border-top: 1px solid $color-grey-light;
        color: $color-grey-dark;
        cursor: pointer;
        display: flex;
        font-size: $font-xxsmall;
        font-weight: 600;
        padding: .5rem;
        position: relative;
        text-align: left;
        text-transform: uppercase;
        width: 100%;
        span {
          margin: auto 0;
        }
        &::before {
          background: url('../images/icons/arrow-menu.svg') no-repeat center center / contain;
          content: '';
          display: block;
          height: 15px;
          margin-right: 0.5em;
          transform: rotate(180deg);
          width: 10px;
        }
        &:focus,
        &:hover {
          background-color: darken($color-white, 3%);
          outline: none;
        }
      }
    }
    // End nav.
  }
}